Subject: Re: [PATCH V2 net-next] net: fec: remove useless fec_enet_reset_skb()

From: Simon Horman <[email-masked]>
Date: Fri, 19 May 2023 09:35:27 +0200

On Fri, May 19, 2023 at 10:01:13AM +0800, [email-masked] wrote:
> From: Wei Fang <[email-masked]>
> 
> This patch is a cleanup for fec driver. The fec_enet_reset_skb()
> is used to free skb buffers for tx queues and is only invoked in
> fec_restart(). However, fec_enet_bd_init() also resets skb buffers
> and is invoked in fec_restart() too. So fec_enet_reset_skb() is
> redundant and useless.
> 
> Signed-off-by: Wei Fang <[email-masked]>
> ---
> V2 change:
> According to Simon Horman's suggestion, it's just a cleanup and without
> user-visible problem, so change the target tree from net to net-next.

Thanks Wei Fang, looks good.

Reviewed-by: Simon Horman <[email-masked]>